Bug 1134829 - Listing two times each case details under 'Red Hat Access->Support->My Cases'
Summary: Listing two times each case details under 'Red Hat Access->Support->My Cases'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Red Hat Access
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: CR02
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Jeeva Kandasamy
URL:
Whiteboard:
Depends On:
Blocks: JON3-11 JON3-12
TreeView+ depends on / blocked
 
Reported: 2014-08-28 10:07 UTC by Jeeva Kandasamy
Modified: 2019-03-22 07:17 UTC (History)
8 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:00:44 UTC
Type: Bug


Attachments (Terms of Use)
duplicate list (123.95 KB, application/octet-stream)
2014-08-28 10:07 UTC, Jeeva Kandasamy
no flags Details
duplicate list - er03 (142.72 KB, application/octet-stream)
2014-09-19 10:47 UTC, Jeeva Kandasamy
no flags Details

Description Jeeva Kandasamy 2014-08-28 10:07:13 UTC
Created attachment 931827 [details]
duplicate list

Description of problem:
Listing two times each case details under 'Red Hat Access->Support->My Cases'

Version-Release number of selected component (if applicable):
JBoss Operations Network	
Version : 3.3.0.ER01
Build Number : 23b3476:f3aa7e7
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Browser: Firefox 31.0

How reproducible:
always

Steps to Reproduce:
1. Login in to JON
2. Navigate to 'Red Hat Access->Support->My Cases'
3. If you logged in with Red Hat Customer portal do login.
4. Listing each test case details two times.


Additional info: Screen shot is attached.

Comment 2 Libor Zoubek 2014-09-05 14:31:00 UTC
This should be fixed in next TAG (0.9.10) of redhat_access_angular_ui. We just need to wait 'till it gets created and update.

Comment 3 Libor Zoubek 2014-09-10 15:48:32 UTC
in master

commit b80cc480ddb9cb46d6c973ed61a779e9df52fd23
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Sep 10 17:25:33 2014 +0200

    Bug 1134829 - Listing two times each case details under 'Red Hat
    Access->Support->My Cases'
    
    updating redhat_access_angular-ui component (to 0.9.15#bc813f7)

in 3.3

commit ca51967501908e76c4442caa924eb7cbd2ac28c9
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Sep 10 17:25:33 2014 +0200

    Bug 1134829 - Listing two times each case details under 'Red Hat
    Access->Support->My Cases'
    
    updating redhat_access_angular-ui component (to 0.9.15#bc813f7)
    
    (cherry picked from commit b80cc480ddb9cb46d6c973ed61a779e9df52fd23)
    Signed-off-by: Libor Zoubek <lzoubek@redhat.com>

Comment 4 Simeon Pinder 2014-09-17 02:49:07 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 5 Jeeva Kandasamy 2014-09-19 10:47:25 UTC
Created attachment 939212 [details]
duplicate list - er03

Version: 
JBoss Operations Network
Version : 3.3.0.ER03
Build Number : 4aefe39:44e33a4
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Browser: Firefox 32.0

Still it's listing two times. Screen shot is attached.

Comment 7 Simeon Pinder 2014-09-29 08:12:31 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 8 Spenser Shumaker 2014-10-21 19:08:51 UTC
After updating the redhat-access-angular-ui lib this bug should be fixed.

Comment 9 Libor Zoubek 2014-10-22 09:05:39 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/d9f66ebaa
time:    2014-10-22 11:05:15 +0200
commit:  d9f66ebaa1e0fb88cc2d328d0dcdf2f78c934adf
author:  Libor Zoubek - lzoubek@redhat.com
message: [BZ 1140669][BZ 1134829][BZ 1140659] update RHA to 0.9.34

Comment 10 Simeon Pinder 2014-11-03 19:03:32 UTC
Moving to ON_QA as available to test with latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=396547

Comment 12 Jeeva Kandasamy 2014-11-04 06:00:41 UTC
Once logged in first time it was not reproduced.. however able to reproduce in the following steps,

Steps:
1. Login in to JON
2. Navigate to 'Red Hat Access->Support->My Cases'
3. If you logged in with Red Hat Customer portal do login.
4. Listing each test case details only one time.
5. Navigate to 'Red Hat Access->Support->Open Case' and again navigate to 'Red Hat Access->Support->My Cases', now it's listing each row two times.

Version:
JBoss Operations Network
Version : 3.3.0.CR01
Build Number : 08c2f39:6ac97ac
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Browser: Firefox 33

Comment 13 Libor Zoubek 2014-11-04 11:43:30 UTC
This issue is caused on JON side, we'have been using old/buggy way of forcing user login dialog.

I was using securityService.validateLogin(true); within my controller code, which was causing the issue. It helped to switch to

.run(['SECURITY_CONFIG', function(SECURITY_CONFIG) {
        SECURITY_CONFIG.forceLogin = true;
}]);


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/ce1abf317
time:    2014-11-04 12:41:29 +0100
commit:  ce1abf317108cf46c50a82f02fd155f76bcd4b7d
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1134829 - Listing two times each case details under 'Red Hat 
         Access->Support->My Cases'

         changed way we force login dialog - this fixes duplicate case
         listing when
         /case/list page is fully reloaded

Comment 14 Mike Foley 2014-11-04 13:10:56 UTC
flagging for team triage.   this fail-to-verify is in CR01.  if we want this in JON 3.3 ... it may imply a CR02 ... and possible schedule slip.

Comment 15 mark yarborough 2014-11-04 13:13:38 UTC
Is this fixable in an update ?

Comment 16 Libor Zoubek 2014-11-04 13:23:07 UTC
Yes, fix is already in 3.3.x branch and can be used anytime later

Comment 17 Simeon Pinder 2014-11-14 04:48:15 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com//buildinfo?buildID=398756

Comment 18 Jeeva Kandasamy 2014-11-17 15:45:19 UTC
Verified:
JBoss Operations Network
Version : 3.3.0.GA
Build Number : f8f6447:6a2b52e
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Browser: Firefox 33.0


Note You need to log in before you can comment on or make changes to this bug.